import event from '~/mixins/event'
import share from '~/mixins/share'
import reachBottom from '~/mixins/reachBottom';
import {
    getSaleInvite
} from '~/api/sale'
Page({
    behaviors: [reachBottom,share,event],
    data: {
        dateTime: '2023-09',
    },
    onLoad(options) {
        this.resetData();
    },
    bindDateChange(e) {
        console.log('携带值为', e.detail.value)
        this.setData({
            dateTime: e.detail.value
        })
        this.resetData()
    },
    openInvite() {
        this.selectComponent("#InvitePop").openInvite()
    },
    loadMore() {
        this.getData(getSaleInvite, {
            dateTime: this.data.dateTime
        });
    },
})